<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Wed Aug 25 22:08:27 CEST 2021 -->
<title>GrindController</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-25">
<meta name="description" content="declaration: package: com.zelyvanna.bdoefficiency.controller, class: GrindController">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.zelyvanna.bdoefficiency.controller</a></div>
<h1 title="Class GrindController" class="title">Class GrindController</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">com.zelyvanna.bdoefficiency.controller.GrindController</div>
</div>
<section class="description">
<hr>
<pre>@CrossOrigin(origins="*")
@RestController
@RequestMapping("/api")
public class <span class="typeNameLabel">GrindController</span>
extends java.lang.Object</pre>
<div class="block">Grind Controller</div>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">CharacterRepository</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#characterRepository">characterRepository</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../repository/ClasseRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">ClasseRepository</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#classeRepository">classeRepository</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../repository/GrindItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindItemRepository</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#grindItemRepository">grindItemRepository</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindRepository</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#grindRepository">grindRepository</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../repository/GrindspotRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindspotRepository</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#grindspotRepository">grindspotRepository</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../repository/UserRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">UserRepository</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#userRepository">userRepository</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">GrindController</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addGrind(com.zelyvanna.bdoefficiency.model.Grind)">addGrind</a></span>&#8203;(<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&nbsp;grind)</code></th>
<td class="colLast">
<div class="block">Allows User to add a new Grind session</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteGrind(int,org.springframework.security.core.Authentication)">deleteGrind</a></span>&#8203;(int&nbsp;grindId,
org.springframework.security.core.Authentication&nbsp;authentication)</code></th>
<td class="colLast">
<div class="block">Allows an administrator, a moderator or the owner of the grind hour to delete the grind hour</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;java.util.List&lt;<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAllGrinds(java.lang.String,boolean)">getAllGrinds</a></span>&#8203;(java.lang.String&nbsp;username,
boolean&nbsp;limit)</code></th>
<td class="colLast">
<div class="block">Returns a list of grinds</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;java.util.List&lt;<a href="../model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseAverage</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMoneyPerGrindSession()">getMoneyPerGrindSession</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns The money per hour (grind session) per class</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;java.util.List&lt;<a href="../model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMoneyPerGrindSessionPerGrindspotPerUser(org.springframework.security.core.Authentication)">getMoneyPerGrindSessionPerGrindspotPerUser</a></span>&#8203;(org.springframework.security.core.Authentication&nbsp;authentication)</code></th>
<td class="colLast">
<div class="block">Gets informations about the average money per hour per grindspot for the current user</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#showGrind(int)">showGrind</a></span>&#8203;(int&nbsp;grindId)</code></th>
<td class="colLast">
<div class="block">Allows User to view informations about a grind hour</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateGrind(com.zelyvanna.bdoefficiency.model.Grind,int,org.springframework.security.core.Authentication)">updateGrind</a></span>&#8203;(<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&nbsp;grind,
int&nbsp;grindId,
org.springframework.security.core.Authentication&nbsp;authentication)</code></th>
<td class="colLast">
<div class="block">Allows a User to edit various informations about his Grind session</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="grindRepository">grindRepository</a></h3>
<div class="memberSignature"><span class="annotations">@Autowired
</span><span class="returnType"><a href="../repository/GrindRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindRepository</a></span>&nbsp;<span class="memberName">grindRepository</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="characterRepository">characterRepository</a></h3>
<div class="memberSignature"><span class="annotations">@Autowired
</span><span class="returnType"><a href="../repository/CharacterRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">CharacterRepository</a></span>&nbsp;<span class="memberName">characterRepository</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="userRepository">userRepository</a></h3>
<div class="memberSignature"><span class="annotations">@Autowired
</span><span class="returnType"><a href="../repository/UserRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">UserRepository</a></span>&nbsp;<span class="memberName">userRepository</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="classeRepository">classeRepository</a></h3>
<div class="memberSignature"><span class="annotations">@Autowired
</span><span class="returnType"><a href="../repository/ClasseRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">ClasseRepository</a></span>&nbsp;<span class="memberName">classeRepository</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="grindspotRepository">grindspotRepository</a></h3>
<div class="memberSignature"><span class="annotations">@Autowired
</span><span class="returnType"><a href="../repository/GrindspotRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindspotRepository</a></span>&nbsp;<span class="memberName">grindspotRepository</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="grindItemRepository">grindItemRepository</a></h3>
<div class="memberSignature"><span class="annotations">@Autowired
</span><span class="returnType"><a href="../repository/GrindItemRepository.html" title="interface in com.zelyvanna.bdoefficiency.repository">GrindItemRepository</a></span>&nbsp;<span class="memberName">grindItemRepository</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">GrindController</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">GrindController</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getAllGrinds(java.lang.String,boolean)">getAllGrinds</a></h3>
<div class="memberSignature"><span class="annotations">@GetMapping("/grinds")
@PreAuthorize("hasRole(\'USER\') or hasRole(\'MODERATOR\') or hasRole(\'ADMIN\')")
</span><span class="modifiers">public</span>&nbsp;<span class="returnType">org.springframework.http.ResponseEntity&lt;java.util.List&lt;<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;&gt;</span>&nbsp;<span class="memberName">getAllGrinds</span>&#8203;(<span class="arguments">@RequestParam(required=false)
java.lang.String&nbsp;username,
@RequestParam(required=false)
boolean&nbsp;limit)</span></div>
<div class="block">Returns a list of grinds</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>username</code> - Username of the user that will have its grinds displayed</dd>
<dd><code>limit</code> - True if you want only 10 results</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of Grind Session</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMoneyPerGrindSession()">getMoneyPerGrindSession</a></h3>
<div class="memberSignature"><span class="annotations">@GetMapping("/grinds/per_class")
@PreAuthorize("hasRole(\'USER\') or hasRole(\'MODERATOR\') or hasRole(\'ADMIN\')")
</span><span class="modifiers">public</span>&nbsp;<span class="returnType">org.springframework.http.ResponseEntity&lt;java.util.List&lt;<a href="../model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseAverage</a>&gt;&gt;</span>&nbsp;<span class="memberName">getMoneyPerGrindSession</span>()</div>
<div class="block">Returns The money per hour (grind session) per class</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>informations about the average money per hour per class</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMoneyPerGrindSessionPerGrindspotPerUser(org.springframework.security.core.Authentication)">getMoneyPerGrindSessionPerGrindspotPerUser</a></h3>
<div class="memberSignature"><span class="annotations">@PreAuthorize("hasRole(\'USER\') or hasRole(\'MODERATOR\') or hasRole(\'ADMIN\')")
@GetMapping("/grinds/average_per_user")
</span><span class="modifiers">public</span>&nbsp;<span class="returnType">org.springframework.http.ResponseEntity&lt;java.util.List&lt;<a href="../model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a>&gt;&gt;</span>&nbsp;<span class="memberName">getMoneyPerGrindSessionPerGrindspotPerUser</span>&#8203;(<span class="arguments">org.springframework.security.core.Authentication&nbsp;authentication)</span></div>
<div class="block">Gets informations about the average money per hour per grindspot for the current user</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>authentication</code> - authentication</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of GrindspotAverages</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addGrind(com.zelyvanna.bdoefficiency.model.Grind)">addGrind</a></h3>
<div class="memberSignature"><span class="annotations">@PostMapping("/grinds")
@PreAuthorize("hasRole(\'USER\') or hasRole(\'MODERATOR\') or hasRole(\'ADMIN\')")
</span><span class="modifiers">public</span>&nbsp;<span class="returnType">org.springframework.http.ResponseEntity&lt;<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</span>&nbsp;<span class="memberName">addGrind</span>&#8203;(<span class="arguments">@RequestBody
<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&nbsp;grind)</span></div>
<div class="block">Allows User to add a new Grind session</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>grind</code> - the grind hour recieved in parameter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the created Grindspot with the Created HttpStatus | null with the Internal server error HttpStatus</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteGrind(int,org.springframework.security.core.Authentication)">deleteGrind</a></h3>
<div class="memberSignature"><span class="annotations">@DeleteMapping("/grinds/{grindId}")
@PreAuthorize("hasRole(\'USER\') or hasRole(\'MODERATOR\') or hasRole(\'ADMIN\')")
</span><span class="modifiers">public</span>&nbsp;<span class="returnType">org.springframework.http.ResponseEntity&lt;<a href="../model/Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a>&gt;</span>&nbsp;<span class="memberName">deleteGrind</span>&#8203;(<span class="arguments">@PathVariable("grindId")
int&nbsp;grindId,
org.springframework.security.core.Authentication&nbsp;authentication)</span></div>
<div class="block">Allows an administrator, a moderator or the owner of the grind hour to delete the grind hour</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>grindId</code> - the id of the grind hour to delete</dd>
<dd><code>authentication</code> - Authentication Request</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>http status OK | internal server error</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="showGrind(int)">showGrind</a></h3>
<div class="memberSignature"><span class="annotations">@GetMapping("/grinds/{grindId}")
@PreAuthorize("hasRole(\'USER\') or hasRole(\'MODERATOR\') or hasRole(\'ADMIN\')")
</span><span class="modifiers">public</span>&nbsp;<span class="returnType">org.springframework.http.ResponseEntity&lt;<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</span>&nbsp;<span class="memberName">showGrind</span>&#8203;(<span class="arguments">@PathVariable("grindId")
int&nbsp;grindId)</span></div>
<div class="block">Allows User to view informations about a grind hour</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>grindId</code> - the id of the grind hour to show</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>http status OK | internal server error</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="updateGrind(com.zelyvanna.bdoefficiency.model.Grind,int,org.springframework.security.core.Authentication)">updateGrind</a></h3>
<div class="memberSignature"><span class="annotations">@PutMapping("/grinds/{grindId}")
@PreAuthorize("hasRole(\'USER\') or hasRole(\'MODERATOR\') or hasRole(\'ADMIN\')")
</span><span class="modifiers">public</span>&nbsp;<span class="returnType">org.springframework.http.ResponseEntity&lt;<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&gt;</span>&nbsp;<span class="memberName">updateGrind</span>&#8203;(<span class="arguments">@RequestBody
<a href="../model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a>&nbsp;grind,
@PathVariable("grindId")
int&nbsp;grindId,
org.springframework.security.core.Authentication&nbsp;authentication)</span></div>
<div class="block">Allows a User to edit various informations about his Grind session</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>grind</code> - The new grind datas</dd>
<dd><code>grindId</code> - Unique identifier of the grind to edit</dd>
<dd><code>authentication</code> - Authentication Request</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Grind entity + status code</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
